//
//  File.swift
//  
//
//  Created by Max Nuding on 01.12.21.
//

import Foundation
struct Day01 {
    let inputPath: String
    func run() {
        let input = try! String(contentsOfFile: inputPath)
        let measurements = input
            .split(separator: "\n")
            .compactMap { Int32($0) }
            .reduce((currentCount: 0, lastValue: Int32.max)) { partialResult, currentValue in
                let increaseBy = currentValue > partialResult.lastValue ? 1 : 0
                return (currentCount: partialResult.currentCount + increaseBy, lastValue: currentValue)
            }
        print(measurements.currentCount)
    }
}
